# class KFilePropsPlugin

###

Table of contents
Modules
kio Classes
All Classes

Module | kio
Namespace | global
Class | KFilePropsPlugin
Inherits | KPropertiesDialogPlugin

'General' plugin This plugin displays the name of the file, its size and access times. Internal

### methods

- KFilePropsPlugin (_props)

  returns a KFilePropsPlugin object

  Argument | Type | Default
  --- | --- | ---
  _props | KPropertiesDialog |

  Constructor

- applyChanges ()

  returns nothing

  Applies all changes made. This plugin must be always the first plugin in the dialog, since this function may rename the file which may confuse other applyChanges functions.

- leaveModality () signal

  returns nothing
  SIGNAL ("leaveModality ()")

- postApplyChanges ()

  returns nothing

  Called after all plugins applied their changes

- setFileNameReadOnly (ro)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  ro | bool |

- slotCopyFinished (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | KJob |

- slotDirSizeFinished (a0)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | KJob |

- slotDirSizeUpdate ()

  returns nothing

- slotEditFileType ()

  returns nothing

- slotFileRenamed (a0, a1, a2)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | KIO.Job |
  a1 | KUrl |
  a2 | KUrl |

- slotFoundMountPoint (mp, kBSize, kBUsed, kBAvail)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  mp | QString |
  kBSize | ulong |
  kBUsed | ulong |
  kBAvail | ulong |

- slotSizeDetermine ()

  returns nothing

- slotSizeStop ()

  returns nothing

- supports (_items)

  returns (bool)
  static

  Argument | Type | Default
  --- | --- | ---
  _items | KFileItemList |

  Tests whether the files specified by _items need a 'General' plugin.